<div class="app-container">
    <div class="app-header">
        <mat-icon (click)="goToAngularPage()">keyboard_backspace</mat-icon>
        <h1>Form</h1>
    </div>
    <div class="app-content">
        <div>
            <form [formGroup]="studentForm" (ngSubmit)="submitStudentForm()">
                <mat-form-field>
                    <mat-label>Name</mat-label>
                    <input type="text" matInput formControlName="name" placeholder="Ex. Logesh">
                </mat-form-field>

                <mat-form-field>
                    <mat-label>Gender</mat-label>
                    <mat-select formControlName="gender">
                        <mat-option *ngFor="let gender of genders" [value]="gender.value">{{ gender.view }}</mat-option>
                    </mat-select>
                </mat-form-field>
                
                <button mat-raised-button color="primary" type="submit" >Submit Student Form</button>
                <button mat-raised-button color="primary" type="button" (click)="deleteStudents()">Delete Students</button>
                <!-- <button mat-raised-button color="primary" type="button" (click)="setValue()">Set Value</button>
                <button mat-raised-button color="primary" type="button" (click)="patchValue()">Patch Value</button> -->
            </form>
        </div>
        <div>
            <p *ngIf="students.length < 1 && !isLoading">No Student Data</p>
            <div *ngIf="students.length >= 1 && !isLoading" class="student-container">
                <div *ngFor="let student of students">
                    <p class="student-data">{{ student.name }} || {{student.gender }}</p>
                </div>
            </div>
            <div *ngIf="isLoading && !error">
                <p>Loading...</p>
            </div>
            <div *ngIf="error">
                <p>An Erro Occurred!!!</p>
                <p>{{ error }}</p>
                <button mat-raised-button color="primary" type="button" (click)="errorReacted()">React to error</button>
            </div>
        </div>
    </div>
</div>